import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`,
  );

const face = g.append('circle');

face.attr('r', height / 2);
face.attr('fill', 'lightblue');
face.attr('stroke', 'blue');

const eyeSpacing = 88;
const eyeYOffset = -50;
const eyeRadiusX = 35;
const eyeRadiusY = 35;
const eyebrowWidth = 90;
const eyebrowHeight = 25;
const eyebrowYOffset = -67;

const eyesG = g
  .append('g')
  .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('ellipse')
  .attr('rx', eyeRadiusX)
  .attr('ry', eyeRadiusY)
  .attr('cx', -eyeSpacing)
  .attr('cy', 0);

const rightEye = eyesG
  .append('ellipse')
  .attr('rx', eyeRadiusX)
  .attr('ry', eyeRadiusY)
  .attr('cx', eyeSpacing)
  .attr('cy', 0);

const eyebrowsG = eyesG
  .append('g')
  .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .append('rect')
  .attr('x', -eyeSpacing - eyebrowWidth / 2)
  .attr('y', -eyebrowHeight / 2)
  .attr('width', eyebrowWidth)
  .attr('height', eyebrowHeight);

eyebrowsG
  .append('rect')
  .attr('x', eyeSpacing - eyebrowWidth / 2)
  .attr('y', -eyebrowHeight / 2)
  .attr('width', eyebrowWidth)
  .attr('height', eyebrowHeight);

const mouth = g
  .append('path')
  .attr(
    'd',
    arc()({
      innerRadius: 140,
      outerRadius: 160,
      startAngle: Math.PI / 2,
      endAngle: (Math.PI * 3) / 2,
    }),
  )
  .attr('fill', 'red');
